!

API recipes

Practical examples for using the Houski API.

Examples

Find ultra-luxury homes ($5M+)

Programming language

Select the programming language you want to display the code examples in.

Find ultra-luxury homes ($5M+)
$5M+ list price across houses, townhouses, and apartments. A distinct buyer set from the $1.5M-$2M luxury tiers, served by private wealth, family offices, and luxury concierge services.
Request
Shell session
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=vancouver&country_abbreviation=ca&estimate_list_price_gte=5000000&page=1&property_type_in=House,Townhouse,Apartment&province_abbreviation=bc&results_per_page=5&select=address,estimate_list_price,interior_sq_m,land_area_sq_m,bedroom_total,bathroom_total,construction_year,architecture_style,view_type,property_taxes"
TypeScript code
const houski_recipe_data = async (): Promise<PropertiesResponse> => {

    // You must copy the PropertiesResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/properties');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('city', 'vancouver');
    url.searchParams.set('country_abbreviation', 'ca');
    url.searchParams.set('estimate_list_price_gte', '5000000');
    url.searchParams.set('page', '1');
    url.searchParams.set('property_type_in', 'House,Townhouse,Apartment');
    url.searchParams.set('province_abbreviation', 'bc');
    url.searchParams.set('results_per_page', '5');
    url.searchParams.set('select', 'address,estimate_list_price,interior_sq_m,land_area_sq_m,bedroom_total,bathroom_total,construction_year,architecture_style,view_type,property_taxes');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: PropertiesResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": false,
  "cost_cents": 4.600000381469727,
  "data": [
    {
      "address": "1264 Balfour Avenue",
      "architecture_style": "Tudor",
      "bathroom_total": 5,
      "bedroom_total": 5,
      "construction_year": 1920,
      "estimate_list_price": 5359646,
      "interior_sq_m": 290.414794921875,
      "land_area_sq_m": 1198.1705322265625,
      "property_id": "101e614fce3fb60f",
      "property_taxes": 31059,
      "view_type": "Mountain"
    },
    {
      "address": "1234 Hornby Street",
      "architecture_style": "Modern",
      "bathroom_total": 1,
      "bedroom_total": 2,
      "construction_year": 1985,
      "estimate_list_price": 15268955,
      "interior_sq_m": 64.93920135498047,
      "land_area_sq_m": 0.0,
      "property_id": "101f68c05d7ade44",
      "property_taxes": 953645,
      "view_type": "Water"
    },
    {
      "address": "4070 38 Avenue W",
      "architecture_style": "Modern",
      "bathroom_total": 9,
      "bedroom_total": 6,
      "construction_year": 2013,
      "estimate_list_price": 6916478,
      "interior_sq_m": 282.23931884765625,
      "land_area_sq_m": 822.2847900390625,
      "property_id": "1021d973f9b53a88",
      "property_taxes": 33021,
      "view_type": "Skyline"
    },
    {
      "address": "458 455 Abbott Street",
      "architecture_style": "Modern",
      "bathroom_total": 2,
      "bedroom_total": 2,
      "construction_year": 1994,
      "estimate_list_price": 8219077,
      "interior_sq_m": 83.98431396484375,
      "land_area_sq_m": 0.0,
      "property_id": "102428aff1e8a088",
      "view_type": "Skyline"
    },
    {
      "address": "1495 Connaught Drive",
      "architecture_style": "Tudor",
      "bathroom_total": 7,
      "bedroom_total": 4,
      "construction_year": 2008,
      "estimate_list_price": 5585436,
      "interior_sq_m": 295.89605712890625,
      "land_area_sq_m": 1036.90673828125,
      "property_id": "102fb2ac4456d4ec",
      "property_taxes": 29564,
      "view_type": "Mountain"
    }
  ],
  "error": "",
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": false,
    "page_total": 1914
  },
  "price_quote": false,
  "result_total": 9568,
  "time_ms": 71,
  "ui_info": {
    "city": "Vancouver",
    "city_id": "3d4b9ab2229768be",
    "city_link": "ca/bc/vancouver",
    "city_slug": "vancouver",
    "country": "Canada",
    "country_abbreviation": "CA",
    "country_abbreviation_id": "9ace2b6431b7f1be",
    "country_abbreviation_link": "ca",
    "country_slug": "canada",
    "province": "British Columbia",
    "province_abbreviation": "BC",
    "province_abbreviation_id": "84b27e64bc119a2",
    "province_abbreviation_link": "ca/bc",
    "province_slug": "british_columbia"
  }
}